﻿using Microsoft.AspNetCore.Mvc;
using VSMASPCoreApp.Repositories;

namespace VSMASPCoreApp.Controllers
{
    public class ContactController : Controller
    {
        private readonly IContactRepository _contactRepository;

        public ContactController(IContactRepository contactRepository)
        {
            _contactRepository = contactRepository;
        }

        public IActionResult Index()
        {
            var contacts = _contactRepository.GetContacts();
            return View(contacts);
        }
    }
}